LANGUAGE = {
	["zh-cn"] = {
		["help:debug_run_environment"] = "环境变量语法如下:\n"..
			"  KEY=VALUE\n"..
			"每个环境变量单独一行";
		["help:ssh_upload_filter"] = "SSH上传过滤器规则:\n"..
			"  *  表示任意非\"/\", \"\\\"字符，可表示一级目录名、文件名\n"..
			"  ** 表示任意字符，可表示多级目录名、文件名\n"..
			"  ？ 表示任意单个字符\n"..
			"  以\";\"分隔多个过滤器\n\n"..
			"如下：\n"..
			"  foo;bar/*.c;any/**.obj\n"..
			"将匹配：\n"..
			"  <PROJ>/foo\n"..
			"  <PROJ>/foo/*.*\n"..
			"  <PROJ>/bar/*.c\n"..
			"  <PROJ>/any/*.obj\n"..
			"  <PROJ>/any/.../*.obj";
		
		["output/popup/copy"] = "复制(&C)";
		["output/popup/paste"] = "粘贴(&V)";
		["output/popup/cut"] = "剪切(&X)";
		["output/popup/delete"] = "删除(&D)";
		["output/popup/select_all"] = "全选(&A)";
		["output/popup/clear"] = "清空";
		
		["sln/popup/open"] = "打开";
		["sln/popup/new"] = "新建";
		["sln/popup/new/file"] = "文件";
		["sln/popup/new/folder"] = "目录";
		["sln/popup/fold_sub_items"] = "折叠子目录";
		["sln/popup/unfold_sub_items"] = "展开子目录";

		["sln/popup/activate_target"] = "激活目标";
		["sln/popup/deactivate_target"] = "禁用目标";
		["sln/popup/set_startup_target"] = "设为启动目标";

		["sln/popup/open_file_dir"] = "打开文件位置";
		["sln/popup/open_terminal"] = "打开命令行";
		["sln/popup/open_in_new_window"] = "在新窗口中打开";
		["sln/popup/close_files_in_dir"] = "关闭已打开文件";
		["sln/popup/cut"] = "剪切(&X)";
		["sln/popup/copy"] = "复制(&C)";
		["sln/popup/paste"] = "粘贴(&V)";
		["sln/popup/delete"] = "删除(&D)";
		["sln/popup/rename"] = "重命名(&R)";
		["sln/popup/property"] = "属性(&A)";
		["sln/popup/git"] = "GIT";

		["text/popup/jump_to_file"] = "转到文件(&F)";
		["text/popup/jump_to_definition"] = "转到定义/声明(&D)";
		["text/popup/find_implementation"] = "查找实现";
		["text/popup/find_reference"] = "查找引用";
		["text/popup/close_other_files"] = "关闭其它文件";
		["text/popup/open_directory"] = "打开文件位置";
		["text/popup/open_terminal"] = "打开命令行";
		["text/popup/cut"] = "剪切(&X)";
		["text/popup/copy"] = "复制(&C)";
		["text/popup/paste"] = "粘贴(&V)";
		["text/popup/select_all"] = "全选(&A)";
		["text/popup/copy_path"] = "复制文件路径";
		["text/popup/close_document"] = "关闭文件";
		["text/popup/locate_file"] = "定位工程文件";
		
		["format/popup/md/text"] = "文本";
		["format/popup/md/visual"] = "可视化";
		
		["utils/file_format_popup/reload_as"] = "重新加载为";
		["utils/file_format_popup/save_as"] = "保存为";
		
		["notify/build/still_running"] = "正在构建...";
		["notify/build/success"] = "构建成功!";
		["notify/build/failed"] = "构建失败!";
		["notify/build/installed"] = "安装成功!";
		["notify/build/install_failed"] = "安装失败!";
		["notify/build/cmake_cache_rebuilt"] = "CMake缓存重建成功!";
		["notify/build/cmake_cache_rebuild_failed"] = "CMake缓存重建失败!";
		["notify/build/cmake_cache_refreshed"] = "CMake缓存更新成功!";
		["notify/build/cmake_cache_refresh_failed"] = "CMake缓存更新失败!";
		["notify/build/xmake_cache_rebuilt"] = "XMake缓存重建成功!";
		["notify/build/xmake_cache_rebuild_failed"] = "XMake缓存重建失败!";
		["notify/build/xmake_cache_refreshed"] = "XMake缓存更新成功!";
		["notify/build/xmake_cache_refresh_failed"] = "XMake缓存更新失败!";
		
		["notify/debug/invalid_target"] = "无效的调试目标!";
		["notify/debug/target_not_exists"] = "调试目标不存在!";
		["notify/debug/openocd_not_found"] = "找不到OpenOCD!";
		["notify/debug/jlinkgdb_not_found"] = "找不到JLinkGDBServer!";
		["notify/debug/can_not_debug_target"] = "无法调试目标!";

		["notify/register_shortcuts/success"] = "关联右键菜单成功！";
		["notify/register_shortcuts/failed"] = "关联右键菜单失败！";
		["notify/error"] = "错误";
		["notify/error/open_file_failed"] = "打开文档失败!";
		["notify/error/save_file_failed"] = "保存文档失败!";
		["notify/error/reload_file_failed"] = "重新加载文档失败!";
		["notify/error/update_failed"] = "更新失败! 稍候请重试!";
		["notify/error/init_edx_failed"] = "初始化EDX失败";
		["notify/error/init_toolset_failed"] = "初始化工具链失败";
		["notify/error/init_esp32_idf_failed"] = "初始化ESP-IDF失败";
		["notify/error/init_bouffalo_sdk_failed"] = "初始化Bouffalo SDK失败!";
		["notify/error/init_hpm_sdk_failed"] = "初始化HPM SDK失败!";
		["notify/error/init_zephyr_sdk_failed"] = "初始化Zephyr SDK失败!";
		["notify/error/load_setting_failed"] = "加载settings.lua失败";
		["notify/error/solution_not_opened"] = "请先打开工程目录!";

		["notify/notice"] = "提示";
		["notify/notice/save_changed_file"] = "文档[%ls]已经更改, 是否保存?";
		["notify/notice/overwrite_readonly_file"] = "文档为只读状态, 是否覆盖?";
		["notify/notice/create_new_file"] = "文档件不存在, 是否创建?";
		["notify/notice/searching_text_not_found"] = "未找到匹配的文本:\n\n";
		["notify/notice/cmake_cache_not_found"] = "未找到CMakeCache.txt! 工程可能还未完成配置。";

		["notify/invalid_license"] = "授权无效! 程序将要退出!";
		["notify/license_expires"] = "授权已经过期! 程序将要退出!";
		["notify/internal_error"] = "内部错误! 程序将要退出!";
		["notify/edx_out_of_date"] = "EDX已经过期。程序将要退出!";
		["notify/found_new_version"] = "发现新版本 %ls!";
		["notify/update_now"] = "EDX已经准备好更新。";
		["notify/old_target_not_found"] = "当前项目[%s]无效！";
		["notify/new_target_selected"] = "已经选中新项目[%s]。";
		["notify/project_not_loaded"] = "未加载工程!";
		["notify/open_serial_port_failed"] = "打开 [%ls] 失败!\n%ls";
		["notify/read_serial_port_error"] = "读取串口 [%ls] 失败!";
		["notify/serial_port_capture_start"] = "开始捕获 [%ls]...";
		["notify/serial_port_capture_end"] = "停止捕获 [%ls]。";
		["notify/file_not_found"] = "找不到文件 [%s]!";
		["notify/folder_not_found"] = "找不到目录 [%s]!";
		["notify/process_suspended"] = "程序已暂停!";
		["notify/process_exited_with_code"] = "程序已经退出";
		["notify/http_download_with_code"] = "下载结束";
		
		["notify/revision/push/success"] = "代码推送成功!";
		["notify/revision/pull/success"] = "代码更新成功!";
		["notify/revision/fetch/success"] = "代码获取成功!";
		["notify/revision/push/failed"] = "代码推送失败! (%d)";
		["notify/revision/pull/failed"] = "代码更新失败! (%d)";
		["notify/revision/fetch/failed"] = "代码获取失败! (%d)";
		["notify/revision/net_error"] = "网络错误!";
		["notify/revision/connect_repo_error"] = "无法连接到代码仓库:\n%ls";
		["notify/revision/auth_error"] = "认证失败!";
		["notify/revision/unexpected_eof"] = "操作意外中断!";
		["notify/revision/certificate_error"] = "服务器证书错误!";
		["notify/revision/repository_not_ready"] = "无效的代码仓库!";
		["notify/revision/repository_init_failed"] = "代码仓库创建失败!";
		["notify/revision/repository_init_success"] = "代码仓库创建成功!";
		["notify/revision/no_upstream_respoitory"] = "无上游代码仓库!";
		["notify/revision/unchanged"] = "文件未改变";
		["notify/revision/untracked"] = "文件未跟踪";
		["notify/revision/error/can_not_error"] = "无法打开仓库(%d)！\n%s";
		["notify/revision/error/invalid_owner"] = "仓库目录用户无效(%d)！\n%s";

		["menu_bar/file"] = "文件";
		["menu_bar/file"] = "文件";
		["menu_bar/file/new_file"] = "新建(&N)";
		["menu_bar/file/new_file/file"] = "文件";
		["menu_bar/file/new_file/project"] = "工程";
		["menu_bar/file/new_file/instance"] = "EDX 窗口";
		["menu_bar/file/open"] = "打开(&O)...";
		["menu_bar/file/open_text"] = "文本模式";
		["menu_bar/file/open_hex"] = "二进制模式";
		["menu_bar/file/reopen_last_file"] = "最近关闭的文件";
		["menu_bar/file/open_directory"] = "打开目录...";
		["menu_bar/file/open_in_current_buffer"] = "打开到当前窗口(&W)...";
		["menu_bar/file/close_file"] = "关闭(&C)";
		["menu_bar/file/close_project"] = "关闭工程";
		["menu_bar/file/save"] = "保存(&S)";
		["menu_bar/file/save_as"] = "另存为(&A)...";
		["menu_bar/file/save_all"] = "全部保存";
		["menu_bar/file/open_config_file"] = "编辑配置文件";
		["menu_bar/file/recently_files"] = "最近使用的文件...";
		["menu_bar/file/recently_folders"] = "最近使用的目录...";
		["menu_bar/file/toolsets"] = "工具链配置";
		["menu_bar/file/configuration"] = "工程配置";
		["menu_bar/file/exit"] = "退出(&X)";
		
		["menu_bar/edit"] = "编辑";
		["menu_bar/edit/undo"] = "撤销(&U)";
		["menu_bar/edit/redo"] = "重做(&R)";
		["menu_bar/edit/cut"] = "剪切(&X)";
		["menu_bar/edit/copy"] = "复制(&C)";
		["menu_bar/edit/paste"] = "粘贴(&P)";
		["menu_bar/edit/circulate_paste"] = "循环粘贴";
		["menu_bar/edit/delete"] = "删除(&D)";
		["menu_bar/edit/select_all"] = "全选(&A)";
		["menu_bar/edit/find"] = "查找/替换(&S)";
		["menu_bar/edit/find/incremental"] = "渐进查找(&I)...";
		["menu_bar/edit/find/find"] = "查找(&F)...";
		["menu_bar/edit/find/find_and_replace"] = "查找/替换(&F)...";
		["menu_bar/edit/find/find_in_files"] = "多文件查找...";
		["menu_bar/edit/find/replace"] = "替换(&H)...";
		["menu_bar/edit/find/replace_in_files"] = "多文件替换...";
		["menu_bar/edit/jump_to"] = "跳转(&J)";
		["menu_bar/edit/jump_to/line"] = "转到行(&G)...";
		["menu_bar/edit/jump_to/previous_location"] = "前一个位置";
		["menu_bar/edit/jump_to/next_location"] = "后一个位置";
		["menu_bar/edit/jump_to/matched_brackets"] = "转到匹配括号";
		["menu_bar/edit/jump_to/list_doc_structure"] = "列举文件结构";
		["menu_bar/edit/jump_to/file"] = "转到文件";
		["menu_bar/edit/jump_to/definition"] = "转到定义/声明";
		["menu_bar/edit/jump_to/implementation"] = "查找实现";
		["menu_bar/edit/jump_to/reference"] = "查找引用";
		["menu_bar/edit/jump_to/next_issue"] = "查找下一处问题";
		["menu_bar/edit/jump_to/prev_issue"] = "查找上一处问题";
		["menu_bar/edit/outline"] = "代码大纲(&O)";
		["menu_bar/edit/outline/fold_unfold"] = "折叠/展开代码";
		["menu_bar/edit/outline/fold_unfold_all"] = "折叠/展开全部代码";
		["menu_bar/edit/advanced"] = "高级";
		["menu_bar/edit/advanced/comment_selection"] = "注释选中内容";
		["menu_bar/edit/advanced/uncomment_selection"] = "取消注释选中内容";
		["menu_bar/edit/advanced/format_selection"] = "格式化选中内容";
		["menu_bar/edit/zoom"] = "文本尺寸";
		["menu_bar/edit/zoom/zoom_in"] = "放大";
		["menu_bar/edit/zoom/zoom_out"] = "缩小";
		["menu_bar/edit/zoom/zoom_0"] = "原始大小";
		
		["menu_bar/project"] = "工程";
		["menu_bar/window"] = "窗口";
		["menu_bar/window/panes"] = "面板";
		["menu_bar/window/open/solution"] = "工程";
		["menu_bar/window/open/class"] = "类视图";
		["menu_bar/window/open/output"] = "输出";
		["menu_bar/window/open/search_result"] = "查找 && 替换";
		["menu_bar/window/open/build"] = "编译输出";
		["menu_bar/window/open/lsp"] = "语言服务";
		["menu_bar/window/open/debugger"] = "调试器";
		["menu_bar/window/open/locals"] = "局部变量";
		["menu_bar/window/open/watch"] = "监视";
		["menu_bar/window/open/stack"] = "调用栈";
		["menu_bar/window/open/threads"] = "线程";
		["menu_bar/window/open/modules"] = "模块";
		["menu_bar/window/open/registers"] = "寄存器";
		["menu_bar/window/open/peripherals"] = "外设";
		["menu_bar/window/open/breakpoints"] = "断点";
		["menu_bar/window/open/structure"] = "文件结构";
		["menu_bar/window/open/revisions"] = "版本历史";
		["menu_bar/window/open/serial_ports"] = "串口";
		["menu_bar/window/open/memory"] = "内存";
		["menu_bar/window/next_file"] = "下一个文件(&N)";
		["menu_bar/window/previous_file"] = "上一个文件(&P)";
		["menu_bar/window/file_list"] = "文件列表(&P)";
		["menu_bar/window/fullscreen"] = "切换全屏";
		
		["menu_bar/help"] = "帮助";
		["menu_bar/help/help"] = "帮助";
		["menu_bar/help/find"] = "查找";
		["menu_bar/help/index"] = "索引";
		["menu_bar/help/register_shell_menu_shortcuts"] = "关联右键菜单";
		["menu_bar/help/homepage"] = "官方网站";
		["menu_bar/help/about"] = "关于(&A)";

		["menu_bar/cmake"] = "CMake";
		["menu_bar/cmake/xmake"] = "XMake";
		["menu_bar/cmake/esp_idf"] = "ESP-IDF";
		["menu_bar/cmake/bouffalo_sdk"] = "Bouffalo SDK";
		["menu_bar/cmake/hpm_sdk"] = "HPM SDK";
		["menu_bar/cmake/zephyr_sdk"] = "Zephyr";
		["menu_bar/cmake/build_all"] = "生成全部";
		["menu_bar/cmake/rebuild_all"] = "重新生成全部";
		["menu_bar/cmake/stop_build"] = "停止生成";
		["menu_bar/cmake/build"] = "生成 ";
		["menu_bar/cmake/rebuild"] = "重新生成 ";
		["menu_bar/cmake/install"] = "安装";
		["menu_bar/cmake/refresh_cmake_cache"] = "更新缓存";
		["menu_bar/cmake/rebuild_cmake_cache"] = "重建缓存";
		["menu_bar/cmake/configuration"] = "配置类型";
		["menu_bar/cmake/toolsets"] = "工具链";
		["menu_bar/cmake/targets"] = "活动项目";

		["menu_bar/debug"] = "调试";
		["menu_bar/debug/build_and_run"] = "编译并运行";
		["menu_bar/debug/direct_run"] = "运行";
		["menu_bar/debug/start_debug"] = "调试目标";
		["menu_bar/debug/continue"] = "继续运行";
		["menu_bar/debug/terminate"] = "停止运行";
		["menu_bar/cmake/step_over"] = "单步";
		["menu_bar/cmake/step_in"] = "步入";
		["menu_bar/cmake/step_out"] = "步出";
		["menu_bar/cmake/toggle_breakpoint"] = "切换断点";
		["menu_bar/cmake/list_breakpoint"] = "列出断点";
		["menu_bar/cmake/run_to_cursor"] = "运行到光标处";
		["menu_bar/cmake/jump_to"] = "跳转执行点";
		["menu_bar/cmake/break"] = "中断运行";
		["menu_bar/cmake/serial_ports"] = "串口";
		["menu_bar/cmake/serial_baud"] = "串口速率";
		["menu_bar/cmake/cpus"] = "CPU类型";
		["menu_bar/cmake/boards"] = "开发板";
		["menu_bar/cmake/debug_adapters"] = "调试适配器";
		["menu_bar/cmake/debug_adapter_speed"] = "调试速度";
		["menu_bar/cmake/debug_adapter_transport"] = "调试协议";
		["menu_bar/cmake/types/executable"] = "可执行";
		["menu_bar/cmake/types/static_lib"] = "静态库";
		["menu_bar/cmake/types/shared_lib"] = "动态库";
		["menu_bar/cmake/types/command"] = "命令";
		
		["dialog/search/pattern"] = " 查  找";
		["dialog/search/replace_to"] = " 替  换";
		["dialog/search/find_and_replace"] = "查找 & 替换";
		["dialog/search/case_insensitive"] = "忽略大小写";
		["dialog/search/use_regexp"] = "正则表达式";
		["dialog/search/find_up"] = "向上查找";
		["dialog/search/whold_word"] = "整个单词";
		["dialog/search/hex_mode"] = "查找十六进制值";
		["dialog/search/ranges"] = " 范  围:";
		["dialog/search/types"] = " 类  型:";
		["dialog/search/path"] = " 路  径:";
		["dialog/search/do_search"] = "查找";
		["dialog/search/do_search_all"] = "查找全部";
		["dialog/search/do_replace"] = "替换";
		["dialog/search/do_replace_all"] = "替换全部";
		["dialog/search/range_selection"] = "选中内容";
		["dialog/search/range_current_file"] = "当前文件";
		["dialog/search/range_opened_files"] = "所有打开的文件";
		["dialog/search/range_files"] = "所有文件";
		["dialog/search/cancel"] = "关闭/取消";
		["dialog/search/msg_begin_search"] = "开始查找 \"%ls\"";
		["dialog/search/msg_begin_replace"] = "开始替换 \"%ls\" => \"%ls\"";
		["dialog/search/msg_search_result"] = "找到 %llu 个结果，在 %llu/%llu 个文件中。耗时 %.3f 秒。\n";
		["dialog/search/msg_search_result1"] = "找到 %llu 个结果，耗时 %.3f 秒。\n";
		["dialog/search/msg_replace_result"] = "替换 %llu 个结果，在 %llu/%llu 个文件中。耗时 %.3f 秒。\n";
		["dialog/search/msg_replace_result1"] = "替换 %llu 个结果，耗时 %.3f 秒。\n";
		
		["dialog/progress/searching"] = "查找中...";
		["dialog/progress/replacing"] = "替换中...";
		["dialog/progress/undo"] = "撤销中...";
		["dialog/progress/redo"] = "重做中...";

		["dialog/project_wizard/title"] = "新建项目";
		["dialog/project_wizard/name"] = "名称:";
		["dialog/project_wizard/path"] = "路径:";
		["dialog/project_wizard/create_git_repo"] = "创建GIT仓库";
		["dialog/project_wizard/name_is_empty"] = "项目名称不能为空！";
		["dialog/project_wizard/path_is_empty"] = "路径不能为空！";
		["dialog/project_wizard/project_exists"] = "当前路径已经存在其它工程!";
		["dialog/project_wizard/can_not_create_project_folder"] = "无法创建工程目录!";
		["dialog/project_wizard/can_not_create_project"] = "无法在当前位置创建工程!";
		["dialog/project_wizard/type/native"] = "本地应用";
		["dialog/project_wizard/type/cmake"] = "CMake";
		["dialog/project_wizard/type/xmake"] = "XMake";
		["dialog/project_wizard/type/wsl"] = "WSL";
		["dialog/project_wizard/type/esp-idf"] = "ESP-IDF";
		["dialog/project_wizard/type/bouffalo_sdk"] = "Bouffalo SDK";
		["dialog/project_wizard/type/console"] = "控制台应用";
		["dialog/project_wizard/type/win32"] = "Win32应用";
		["dialog/project_wizard/type/shared"] = "动态库";
		["dialog/project_wizard/type/static"] = "静态库";
		
		["dialog/about"] = "关 于";
		["dialog/ok"] = "确定(&O)";
		["dialog/yes"] = "是(&Y)";
		["dialog/no"] = "否(&N)";
		["dialog/apply"] = "应用";
		["dialog/continue"] = "继续";
		["dialog/retry"] = "重试(&R)";
		["dialog/ignore"] = "忽略(&A)";
		["dialog/abort"] = "中断(&A)";
		["dialog/cancel"] = "取消(&C)";
		["dialog/notice"] = "提示";
		["dialog/error"] = "错误";
		["dialog/warning"] = "警告";
		
		["dialog/delete_file"] = "确认删除文件?";
		["dialog/delete_file/delete_selected_files"] = "正在删除选中的[%d]个文件!";
		["dialog/delete_file/remove"] = "移除(&R)";
		["dialog/delete_file/delete"] = "删除(&D)";
		["dialog/delete_file/cancel"] = "取消(&C)";

		["dialog/file_changes/reload_as_log_text"] = "日志模式打开(&L)";
		["dialog/file_changes/reload_all"] = "更新全部";
		["dialog/file_changes/cancel"] = "取消(&C)";
		["dialog/file_changes/reload"] = "更新(&R)";
		["dialog/file_changes/file_changed"] = "文件己更改!";
		["dialog/file_changes/files_changed"] = "%lld 个文件己更改!";
		["dialog/file_changes/file_change_notify"] = "文件 [%ls] 已被更改!\n是否更新文件?";

		["dialog/notify/ok"] = "确定(&O)";
		["dialog/notify/cancel"] = "取消(&C)";
		["dialog/notify/update"] = "更新(&U)";
		["dialog/file/all_file_types"] = "全部文件类型";

		["dialog/cvs/login/login"] = "登录";
		["dialog/cvs/login/name"] = "用户名:";
		["dialog/cvs/login/passwd"] = "登录密码:";
		["dialog/cvs/login/pub_key"] = "公钥:";
		["dialog/cvs/login/pri_key"] = "私钥:";
		["dialog/cvs/login/key_pass"] = "私钥密码:";
		["dialog/cvs/login/ok"] = "确定";
		["dialog/cvs/login/login_with_keys"] = "使用密钥登录";
		["dialog/cvs/login/empty_user_name"] = "用户名不能为空！";
		["dialog/cvs/committer"] = "提交者";
		["dialog/cvs/commit_time"] = "提交时间";
		["dialog/cvs/author"] = "作者";
		["dialog/cvs/email"] = "邮箱";
		["dialog/cvs/modify_time"] = "修改时间";
		["dialog/cvs/commit_message"] = "提交日志";
		
		["dialog/commit/title/do_commit"] = "提交变更";
		["dialog/commit/title/commit_record"] = "提交记录";
		["dialog/commit/amend"] = "修改上一次提交";
		["dialog/commit/author"] = "作者";
		["dialog/commit/email"] = "邮箱";
		["dialog/commit/modify_time"] = "修改时间";
		["dialog/commit/working_tree"] = "工作目录";
		["dialog/commit/commit_message"] = "变更日志";
		["dialog/commit/changed_files"] = "修改的文件";
		["dialog/commit/unmanaged_files"] = "未管理的文件";
		["dialog/commit/commit"] = "提交";
		["dialog/commit/commit_message_required"] = "请填写变更日志!";
		["dialog/commit/confilct_found"] = "发现冲突文件!";
		["dialog/commit/no_item_selected"] = "请选择要提交的文件!";
		["dialog/commit/can_not_amend_last_change"] = "无法修改上一次提交!";
		["dialog/commit/canot_create_commit"] = "无法创建提交!";
		["dialog/commit/no_default_signature"] = "无法提交，未设置用户签名!";

		["dialog/diff/title"] = "文件比较";
		["dialog/diff/ignore_white_space"] = "忽略空白字符";
		
		["dialog/config/title"] = "配置";
		["dialog/config/edit"] = "编辑";
		["dialog/config/toolchain"] = "工具链";
		["dialog/config/toolchain/new"] = "添加工具链";
		["dialog/config/toolchain/remove"] = "删除工具链";
		["dialog/config/toolchain/download"] = "下载头文件(用以支持LSP语法补全)";
		["dialog/config/toolchain/refresh"] = "刷新工具链";
		["dialog/config/toolchain/check"] = "校验工具链";
		["dialog/config/toolchain/new/local"] = "新建本地工具链";
		["dialog/config/toolchain/new/ssh"] = "新建SSH工具链";
		["dialog/config/toolchain/context/copy"] = "复制";
		["dialog/config/toolchain/context/delete"] = "删除";
		["dialog/config/toolchain/info/no_local_toolset"] = "无法在以下位置找到有效的工具链:";
		["dialog/config/toolchain/info/local_toolset_exists"] = "工具链已经存在!";
		["dialog/config/toolchain/info/auto_items_can_not_remove"] = "无法删除自动工具链!";
		["dialog/config/toolchain/info/confirm_to_remove_toolsets"] = "确认要删除以下工具链?";
		["dialog/config/toolchain/info/input_ssh_server"] = "请输入SSH服务主机";
		["dialog/config/toolchain/info/invalid_ssh_host"] = "无效的SSH服务地址!";
		["dialog/config/toolchain/info/detecting"] = "检测中...";
		["dialog/config/toolchain/info/ssh_toolset_exists"] = "工具链已经存在!";
		["dialog/config/toolchain/info/ssh_toolset_not_found"] = "无法找到有效的工具链!";
		["dialog/config/toolchain/info/ssh_toolset_required"] = "仅SSH工具链需要下载头文件!";
		["dialog/config/cvs"] = "版本控制";
		["dialog/config/credentials"] = "认证信息";
		["dialog/config/cmake"] = "CMake";
		["dialog/config/cmake/targets"] = "生成目标";
		["dialog/config/cmake/config"] = "配置";
		["dialog/config/cmake/toolset"] = "工具链";
		["dialog/config/cmake/click_to_add_variable"] = "点击添加新CMake变量";
		["dialog/config/cmake/var_name_is_empty"] = "变量名不能为空!";
		["dialog/config/cmake/var_name_exists"] = "变量已经定义!";
		["dialog/config/cmake/cached_var_requires_rebuild_cmake_cache"] = "变量已缓存! 需要重建CMake缓存。";
		["dialog/config/git"] = "GIT";
		["dialog/config/git/remote"] = "远程仓库";
		["dialog/config/git/remote/fetch"] = "拉取";
		["dialog/config/git/remote/push"] = "推送";
		["dialog/config/git/remote/click_to_add_new_upstream"] = "点击添加新的仓库";
		["dialog/config/git/remote/name_already_exists"] = "名称已经存在";
		["dialog/config/git/remote/deleting_the_last_item"] = "是否删除最后一个仓库?";
		["dialog/config/git/account"] = "账号";
		["dialog/config/git/username"] = "名称";
		["dialog/config/git/email"] = "邮箱";
		["dialog/config/git/proxy"] = "代理";
		["dialog/config/git/proxy_http"] = "HTTP";
		["dialog/config/git/proxy_https"] = "HTTPS";
		["dialog/config/git/title"] = "GIT 设置";
		["dialog/config/unsaved_notice"] = "尚有未保存的配置变更，是否保存?";
		["dialog/config/debug_run"] = "调试&运行";
		["dialog/config/debug_run/target"] = "目标";
		["dialog/config/debug_run/config"] = "配置";
		["dialog/config/debug_run/toolset"] = "工具";
		["dialog/config/debug_run/argument"] = "启动参数";
		["dialog/config/debug_run/cwd"] = "当前目录";
		["dialog/config/debug_run/environment"] = "环境变量 (<a href=\"help:debug_run_environment\">?</a>)";
		["dialog/config/debug_run/ssh_upload_filter"] = "SSH上传过滤器 (<a href=\"help:ssh_upload_filter\">?</a>)";
		["dialog/config/clang_tidy"] = "Clang-Tidy";
		["dialog/config/msys2"] = "MSYS2";
		["dialog/config/msys2/enabled"] = "在CMake工程中启用MSYS2支持";
		
		["pane/output/title"] = "输 出";
		["pane/find_and_replace/title"] = "查找 & 替换";
		["pane/find_and_replace/clear"] = "清空搜索结果";
		["pane/find_and_replace/autoclear"] = "自动清空上一次的搜索结果";
		["pane/build_results/title"] = "编 译";
		["pane/build_results/all_errors"] = "所有错误";
		["pane/build_results/all_warnings"] = "所有警告";
		["pane/lsp/title"] = "语言服务";
		["pane/debugger/title"] = "调试器";
		["pane/watches/title"] = "监 视";
		["pane/locals/title"] = "变 量";
		["pane/threads/title"] = "线 程";
		["pane/stackframe/title"] = "调用栈";
		["pane/modules/title"] = "模 块";
		["pane/solution/title"] = "工 程";
		["pane/solution/file_exists"] = "文件已存在！";
		["pane/solution/folder_exists"] = "目录已存在！";
		["pane/solution/create_file_failed"] = "创建文件失败！";
		["pane/solution/create_folder_failed"] = "创建目录失败！";
		["pane/solution/build_targets"] = "[生成目标]";
		["pane/solution/startup_target"] = "[启动]";
		["pane/class/title"] = "类";
		["pane/resource/title"] = "资 源";
		["pane/properties/title"] = "属 性";
		["pane/serial/title"] = "串 口";
		["pane/serial/port"] = "端口:";
		["pane/serial/baudrate"] = "速率:";
		["pane/serial/capture"] = "开始捕获";
		["pane/serial/capture_stop"] = "停止捕获";
		["pane/serial/clear"] = "清屏";
		["pane/serial/send_newline"] = "发送换行";
		["pane/serial/send_newline/tip"] = "自动发送换行(Ctrl + Enter)";
		["pane/serial/tty_mode"] = "TTY模式";
		["pane/structure/title"] = "文件结构";
		["pane/structure/unsupported_doc_type"] = "不支持的文件类型";
		
		["pane/revisions/title"] = "版本历史";
		["pane/revisions/time_sec"] = "%d秒前";
		["pane/revisions/time_min"] = "%d分前";
		["pane/revisions/time_hour"] = "%d小时前";
		["pane/revisions/time_day"] = "%d天前";
		["pane/revisions/working_tree"] = "工作目录";
		["pane/revisions/no_version_control"] = "无版本控制";
		["pane/revisions/no_changes"] = "无变更";
		["pane/revisions/changes"] = "变更";
		["pane/revisions/conflicts"] = "冲突";

		["pane/registers/title"] = "寄存器";

		["pane/memory/title"] = "内 存";
		["pane/memory/address"] = "地址:";
		["pane/memory/update"] = "更新";
		["pane/memory/input_hint"] = "输入对象或内存地址";
		["pane/memory/not_debugging"] = "内存视图仅在调试时可用！";
		["pane/memory/can_not_read_memory"] = "无法读取内存！";

		["pane/peripherals/title"] = "外 设";

		["status/idle"] = "空闲";
		["status/selection_size"] = "选中字符数";
		["status/selection_bytes"] = "选中字节数";
		["status/incremental_search"] = "增量搜索:";
		["status/incremental_search_failed"] = "增量搜索错误:";
		["status/goto_line"] = "跳转到行:";
		["status/goto_offset"] = "跳转到偏移:";
		["status/download_update"] = "正在更新...";
		["status/duration_info"] = "时长: %s";
		
		["shell/open_with_edx"] = "用&EDX打开";

		["git/popup/init"] = "初始化仓库";
		["git/popup/pull"] = "更新(Pull)";
		["git/popup/fetch"] = "获取(Fetch)";
		["git/popup/push"] = "推送";
		["git/popup/diff"] = "比较差异";
		["git/popup/commit"] = "提交变更";
		["git/popup/property"] = "属性";
		["git/popup/checkout"] = "签出";
		["git/popup/gui"] = "git GUI";
		["git/popup/history"] = "gitk";
		["git/popup/configuration"] = "配置";
		["git/popup/merge"] = "合并";
		["git/popup/branches"] = "分枝";
		["git/popup/tags"] = "标签";
		["git/popup/conflicts"] = "解决冲突";

		["ssh/error/resolve_host_failed"] = "无法解析SSH主机地址!";
		["ssh/error/connect_failed"] = "无法连接SSH主机!";
		["ssh/error/handshake_failed"] = "SSH主机握手失败: ";
		["ssh/error/login_failed"] = "SSH登录失败: ";

		["msg/clangd/compile_commands_json_not_found"] = "\x1b[33;41m[ClangD] 找不到文件 \x1b[37m'compile_commands.json'\x1b[33m!\x1b[0m";
		["msg/clangd/install_query_driver"] = "安装ClangD命令行驱动程序...";
	};
	["en-us"] = {
		["help:debug_run_environment"] = "Syntax of environment:\n"..
			"  KEY=VALUE\n"..
			"one VAR each line.";
		["help:ssh_upload_filter"] = "SSH upload filter rules:\n"..
			"  *  represents any characters except \"/\", \"\\\"\n"..
			"  ** represents any characters\n"..
			"  ？ represents any single character\n"..
			"  filters are separated by \";\"\n\n"..
			"Example：\n"..
			"  foo;bar/*.c;any/**.obj\n"..
			"will match：\n"..
			"  <PROJ>/foo\n"..
			"  <PROJ>/foo/*.*\n"..
			"  <PROJ>/bar/*.c\n"..
			"  <PROJ>/any/*.obj\n"..
			"  <PROJ>/any/.../*.obj";
			
		["output/popup/copy"] = "&Copy";
		["output/popup/paste"] = "Paste(&V)";
		["output/popup/cut"] = "Cut(&X)";
		["output/popup/delete"] = "&Delete";
		["output/popup/select_all"] = "Select &All";
		["output/popup/clear"] = "Clear";
		
		["sln/popup/open"] = "Open";
		["sln/popup/new"] = "New";
		["sln/popup/new/file"] = "File";
		["sln/popup/new/folder"] = "Folder";
		["sln/popup/fold_sub_items"] = "Fold subitems";
		["sln/popup/unfold_sub_items"] = "Unfold subitems";

		["sln/popup/activate_target"] = "Activate target";
		["sln/popup/deactivate_target"] = "Deactivate target";
		["sln/popup/set_startup_target"] = "Set startup target";

		["sln/popup/open_file_dir"] = "Open in Explorer";
		["sln/popup/open_terminal"] = "Open in Terminal";
		["sln/popup/open_in_new_window"] = "Open in new EDX window";
		["sln/popup/close_files_in_dir"] = "Close files in this Folder";
		["sln/popup/cut"] = "Cut(&X)";
		["sln/popup/copy"] = "&Copy";
		["sln/popup/paste"] = "Paste(&V)";
		["sln/popup/delete"] = "&Delete";
		["sln/popup/rename"] = "&Rename";
		["sln/popup/property"] = "Property(&A)";
		["sln/popup/git"] = "GIT";

		["text/popup/jump_to_file"] = "Goto &file";
		["text/popup/jump_to_definition"] = "Goto &defeinition/declaration";
		["text/popup/find_implementation"] = "Find implementation";
		["text/popup/find_reference"] = "Find reference";
		["text/popup/close_other_files"] = "Close all other files";
		["text/popup/open_directory"] = "Open in Explorer";
		["text/popup/open_terminal"] = "Open in Terminal";
		["text/popup/cut"] = "Cut(&X)";
		["text/popup/copy"] = "&Copy";
		["text/popup/paste"] = "Paste(&V)";
		["text/popup/select_all"] = "Select &All";
		["text/popup/copy_path"] = "Copy file path";
		["text/popup/close_document"] = "Close file";
		["text/popup/locate_file"] = "Select project file";

		["format/popup/md/text"] = "Text";
		["format/popup/md/visual"] = "Visual";

		["utils/file_format_popup/reload_as"] = "Reload with encoding";
		["utils/file_format_popup/save_as"] = "Save with encoding";

		["notify/build/still_running"] = "Building...";
		["notify/build/success"] = "Build success!";
		["notify/build/failed"] = "Build failed!";
		["notify/build/installed"] = "Installed!";
		["notify/build/install_failed"] = "Install failed!";
		["notify/build/cmake_cache_rebuilt"] = "CMake cache rebuilt!";
		["notify/build/cmake_cache_rebuild_failed"] = "CMake cache rebuild failed!";
		["notify/build/cmake_cache_refreshed"] = "CMake cache refreshed!";
		["notify/build/cmake_cache_refresh_failed"] = "CMake cache refresh failed!";
		["notify/build/xmake_cache_rebuilt"] = "XMake cache rebuilt!";
		["notify/build/xmake_cache_rebuild_failed"] = "XMake cache rebuild failed!";
		["notify/build/xmake_cache_refreshed"] = "XMake cache refreshed!";
		["notify/build/xmake_cache_refresh_failed"] = "XMake cache refresh failed!";

		["notify/debug/invalid_target"] = "Invalid debuggee!";
		["notify/debug/target_not_exists"] = "Debuggee not exists!";
		["notify/debug/openocd_not_found"] = "OpenOCD not found!";
		["notify/debug/jlinkgdb_not_found"] = "JLinkGDBServer not found!";
		["notify/debug/can_not_debug_target"] = "Can NOT debug the target!";

		["notify/register_shortcuts/success"] = "Shell menu registered!";
		["notify/register_shortcuts/failed"] = "Register shell menu failed!";

		["notify/error"] = "Error";
		["notify/error/open_file_failed"] = "Open document failed!";
		["notify/error/save_file_failed"] = "Save document failed!";
		["notify/error/reload_file_failed"] = "Reload document failed!";
		["notify/error/update_failed"] = "Failed to update! Please retry later!";
		["notify/error/init_edx_failed"] = "Initialize EDX failed!";
		["notify/error/init_toolset_failed"] = "Initialize toolset failed!";
		["notify/error/init_esp32_idf_failed"] = "Initialize ESP-IDF failed!";
		["notify/error/init_bouffalo_sdk_failed"] = "Initialize Bouffalo SDK failed!";
		["notify/error/init_hpm_sdk_failed"] = "Initialize HPM SDK failed!";
		["notify/error/init_zephyr_sdk_failed"] = "Initialize Zephyr SDK failed!";
		["notify/error/load_setting_failed"] = "Load settings.lua failed!";
		["notify/error/solution_not_opened"] = "Please open the project folder!";
		
		["notify/notice"] = "Notice";
		["notify/notice/save_changed_file"] = "File [%ls] has changed! Save it?";
		["notify/notice/overwrite_readonly_file"] = "File is readonly, overwrite?";
		["notify/notice/create_new_file"] = "File is not exists, create it?";
		["notify/notice/searching_text_not_found"] = "The following specified text was not found:\n\n";
		["notify/notice/cmake_cache_not_found"] = "Can not find CMakeCache.txt! The project may not be configured.";

		["notify/invalid_license"] = "Invalid license! Exiting!";
		["notify/license_expires"] = "License expires! Exiting!";
		["notify/internal_error"] = "Internal error! Exiting!";
		["notify/edx_out_of_date"] = "EDX is out of date! Exiting!";
		["notify/found_new_version"] = "Found new version %ls!";
		["notify/update_now"] = "EDX is ready to update.";
		["notify/old_target_not_found"] = "Build target [%s] not found!";
		["notify/new_target_selected"] = "Target [%s] was selected.";
		["notify/project_not_loaded"] = "Project not loaded!";
		["notify/open_serial_port_failed"] = "Open [%ls] failed!\n%ls";
		["notify/read_serial_port_error"] = "Read [%ls] error!";
		["notify/serial_port_capture_start"] = "Capture [%ls] start...";
		["notify/serial_port_capture_end"] = "Capture [%ls] stopped.";
		["notify/file_not_found"] = "File [%s] not found!";
		["notify/folder_not_found"] = "Folder [%s] not found!";
		["notify/process_suspended"] = "Process suspended!";
		["notify/process_exited_with_code"] = "Process terminted with code";
		["notify/http_download_with_code"] = "Download terminated with code";

		["notify/revision/push/success"] = "Push to remote repository success!";
		["notify/revision/pull/success"] = "Pull from remote repository success!";
		["notify/revision/fetch/success"] = "Fetch from remote repository success!";
		["notify/revision/push/failed"] = "Push operation failed! (%d)";
		["notify/revision/pull/failed"] = "Pull operation failed! (%d)";
		["notify/revision/fetch/failed"] = "Fetch operation failed! (%d)";
		["notify/revision/net_error"] = "Network error!";
		["notify/revision/connect_repo_error"] = "Can't connect to remote repository:\n%ls";
		["notify/revision/auth_error"] = "Authentication error!";
		["notify/revision/unexpected_eof"] = "Unexpected EOF!";
		["notify/revision/certificate_error"] = "Certificate error!";
		["notify/revision/repository_not_ready"] = "Repository not ready!";
		["notify/revision/repository_init_failed"] = "Failed to create new repository!";
		["notify/revision/repository_init_success"] = "New repository created!";
		["notify/revision/no_upstream_respoitory"] = "No upstream respository!";
		["notify/revision/unchanged"] = "File unchanged!";
		["notify/revision/untracked"] = "File untracked!";
		["notify/revision/error/can_not_error"] = "Open repository failed(%d)！\n%s";
		["notify/revision/error/invalid_owner"] = "Invalid repository owner(%d)！\n%s";

		["menu_bar/file"] = "File";
		["menu_bar/file/new_file"] = "&New";
		["menu_bar/file/new_file/file"] = "File";
		["menu_bar/file/new_file/project"] = "Project";
		["menu_bar/file/new_file/instance"] = "EDX Window";
		["menu_bar/file/open"] = "&Open...";
		["menu_bar/file/open_text"] = "with Text Editor";
		["menu_bar/file/open_hex"] = "with Hex Editor";
		["menu_bar/file/reopen_last_file"] = "Recently closed file";
		["menu_bar/file/open_directory"] = "Open folder...";
		["menu_bar/file/open_in_current_buffer"] = "Open in current &Window...";
		["menu_bar/file/close_file"] = "&Close file";
		["menu_bar/file/close_project"] = "Close project";
		["menu_bar/file/save"] = "&Save";
		["menu_bar/file/save_as"] = "Save &As...";
		["menu_bar/file/save_all"] = "Save all";
		["menu_bar/file/open_config_file"] = "Edit Profile";
		["menu_bar/file/recently_files"] = "Recently files...";
		["menu_bar/file/recently_folders"] = "Recently folders...";
		["menu_bar/file/toolsets"] = "Toolsets";
		["menu_bar/file/configuration"] = "Project configuration";
		["menu_bar/file/exit"] = "E&xit";

		["menu_bar/edit"] = "Edit";
		["menu_bar/edit/undo"] = "&Undo";
		["menu_bar/edit/redo"] = "&Redo";
		["menu_bar/edit/cut"] = "Cut(&X)";
		["menu_bar/edit/copy"] = "&Copy";
		["menu_bar/edit/paste"] = "&Paste";
		["menu_bar/edit/circulate_paste"] = "Circulate paste";
		["menu_bar/edit/delete"] = "&Delete";
		["menu_bar/edit/select_all"] = "Select &All";
		["menu_bar/edit/find"] = "&Search";
		["menu_bar/edit/find/incremental"] = "&Incremental...";

		["menu_bar/edit/find/find"] = "&Find...";
		["menu_bar/edit/find/find_and_replace"] = "&Find/Replace...";
		["menu_bar/edit/find/find_in_files"] = "Find in files...";
		["menu_bar/edit/find/replace"] = "Replace...";
		["menu_bar/edit/find/replace_in_files"] = "Replace in files...";
		["menu_bar/edit/jump_to"] = "Goto";
		["menu_bar/edit/jump_to/line"] = "Line...";
		["menu_bar/edit/jump_to/previous_location"] = "Previous location";
		["menu_bar/edit/jump_to/next_location"] = "Next location";
		["menu_bar/edit/jump_to/matched_brackets"] = "Matched brackets";
		["menu_bar/edit/jump_to/list_doc_structure"] = "File structure";
		["menu_bar/edit/jump_to/file"] = "File";
		["menu_bar/edit/jump_to/definition"] = "Definition/declaration";
		["menu_bar/edit/jump_to/implementation"] = "Implementation";
		["menu_bar/edit/jump_to/reference"] = "Reference";
		["menu_bar/edit/jump_to/next_issue"] = "Find next issue";
		["menu_bar/edit/jump_to/prev_issue"] = "Find previous issue";
		["menu_bar/edit/outline"] = "&Outline";
		["menu_bar/edit/outline/fold_unfold"] = "Fold/Unfold blocks";
		["menu_bar/edit/outline/fold_unfold_all"] = "Fold/Unfold all blocks";
		["menu_bar/edit/advanced"] = "Advanced";
		["menu_bar/edit/advanced/comment_selection"] = "Comment selection";
		["menu_bar/edit/advanced/uncomment_selection"] = "Uncomment selection";
		["menu_bar/edit/advanced/format_selection"] = "Format selection";
		["menu_bar/edit/zoom"] = "Text size";
		["menu_bar/edit/zoom/zoom_in"] = "Zoom In";
		["menu_bar/edit/zoom/zoom_out"] = "Zoom Out";
		["menu_bar/edit/zoom/zoom_0"] = "Reset";
		
		["menu_bar/project"] = "Project";
		["menu_bar/window"] = "Window";
		["menu_bar/window/panes"] = "Panes";
		["menu_bar/window/open/solution"] = "Solution";
		["menu_bar/window/open/class"] = "Class";
		["menu_bar/window/open/output"] = "Output";
		["menu_bar/window/open/search_result"] = "Find && Replace";
		["menu_bar/window/open/build"] = "Build";
		["menu_bar/window/open/lsp"] = "LSP";
		["menu_bar/window/open/debugger"] = "Debugger";
		["menu_bar/window/open/locals"] = "Locals";
		["menu_bar/window/open/watch"] = "Watch";
		["menu_bar/window/open/stack"] = "Call Stack";
		["menu_bar/window/open/threads"] = "Threads";
		["menu_bar/window/open/modules"] = "Modules";
		["menu_bar/window/open/registers"] = "Registers";
		["menu_bar/window/open/peripherals"] = "Peripherals";
		["menu_bar/window/open/breakpoints"] = "Breakpoints";
		["menu_bar/window/open/structure"] = "Structure";
		["menu_bar/window/open/revisions"] = "Revision History";
		["menu_bar/window/open/serial_ports"] = "Serial Ports";
		["menu_bar/window/open/memory"] = "Memory";
		["menu_bar/window/next_file"] = "&Next file";
		["menu_bar/window/previous_file"] = "&Previous file";
		["menu_bar/window/file_list"] = "File list";
		["menu_bar/window/fullscreen"] = "Fullscreen";

		["menu_bar/help"] = "Help";
		["menu_bar/help/help"] = "Help";
		["menu_bar/help/find"] = "Find";
		["menu_bar/help/index"] = "Index";
		["menu_bar/help/register_shell_menu_shortcuts"] = "Register the shell menu";
		["menu_bar/help/homepage"] = "Homepage";
		["menu_bar/help/about"] = "&About...";

		["menu_bar/cmake"] = "CMake";
		["menu_bar/cmake/xmake"] = "XMake";
		["menu_bar/cmake/esp_idf"] = "ESP-IDF";
		["menu_bar/cmake/bouffalo_sdk"] = "Bouffalo SDK";
		["menu_bar/cmake/hpm_sdk"] = "HPM SDK";
		["menu_bar/cmake/zephyr_sdk"] = "Zephyr";
		["menu_bar/cmake/build_all"] = "Build all";
		["menu_bar/cmake/rebuild_all"] = "Rebuild all";
		["menu_bar/cmake/stop_build"] = "Stop build";
		["menu_bar/cmake/build"] = "Build";
		["menu_bar/cmake/rebuild"] = "Rebuild";
		["menu_bar/cmake/install"] = "Install";
		["menu_bar/cmake/refresh_cmake_cache"] = "Refresh build cache";
		["menu_bar/cmake/rebuild_cmake_cache"] = "Recreate build cache";
		["menu_bar/cmake/configuration"] = "Configuration";
		["menu_bar/cmake/toolsets"] = "Toolsets";
		["menu_bar/cmake/targets"] = "Targets";
		["menu_bar/cmake/serial_ports"] = "Serial Ports";
		["menu_bar/cmake/serial_baud"] = "Serial baudrate";
		["menu_bar/cmake/cpus"] = "CPU Type";
		["menu_bar/cmake/boards"] = "Boards";
		["menu_bar/cmake/debug_adapters"] = "Debug Adapter";
		["menu_bar/cmake/debug_adapter_speed"] = "Debug Adapter Speed";
		["menu_bar/cmake/debug_adapter_transport"] = "Debug Adapter Transport";
		
		["menu_bar/debug"] = "Debug";
		["menu_bar/debug/build_and_run"] = "Build && Run";
		["menu_bar/debug/direct_run"] = "Run";
		["menu_bar/debug/start_debug"] = "Start debug";
		["menu_bar/debug/continue"] = "Continue";
		["menu_bar/debug/terminate"] = "Terminate";
		["menu_bar/cmake/step_over"] = "Step over";
		["menu_bar/cmake/step_in"] = "Step in";
		["menu_bar/cmake/step_out"] = "Step out";
		["menu_bar/cmake/toggle_breakpoint"] = "Toggle breakpoint";
		["menu_bar/cmake/list_breakpoint"] = "List breakpoints";
		["menu_bar/cmake/run_to_cursor"] = "Run to cursor";
		["menu_bar/cmake/jump_to"] = "Jump to";
		["menu_bar/cmake/break"] = "Break";
		["menu_bar/cmake/types/executable"] = "Exec";
		["menu_bar/cmake/types/static_lib"] = "Static-Lib";
		["menu_bar/cmake/types/shared_lib"] = "Shared-Lib";
		["menu_bar/cmake/types/command"] = "Command";

		["dialog/search/pattern"] = "Find";
		["dialog/search/replace_to"] = "Replace";
		["dialog/search/find_and_replace"] = "Find & Replace:";
		["dialog/search/case_insensitive"] = "Ignore case";
		["dialog/search/use_regexp"] = "Use regexp";
		["dialog/search/find_up"] = "Find up";
		["dialog/search/whold_word"] = "Whole word";
		["dialog/search/hex_mode"] = "Find HEX value";
		["dialog/search/ranges"] = "Ranges:";
		["dialog/search/types"] = "Types:";
		["dialog/search/path"] = "Path:";
		["dialog/search/do_search"] = "Find";
		["dialog/search/do_search_all"] = "Find All";
		["dialog/search/do_replace"] = "Replace";
		["dialog/search/do_replace_all"] = "Replace All";
		["dialog/search/range_selection"] = "Selection";
		["dialog/search/range_current_file"] = "Current File";
		["dialog/search/range_opened_files"] = "Opened Files";
		["dialog/search/range_files"] = "Files";
		["dialog/search/cancel"] = "Cancel";
		["dialog/search/msg_begin_search"] = "Begin search \"%ls\"";
		["dialog/search/msg_begin_replace"] = "Begin replace \"%ls\" => \"%ls\"";
		["dialog/search/msg_search_result"] = "Total %llu result(s) was found in %llu/%llu files within %.3f seconds.\n";
		["dialog/search/msg_search_result1"] = "Total %llu result(s) was found within %.3f seconds.\n";
		["dialog/search/msg_replace_result"] = "Total %llu text(s) was replaced in %llu/%llu files within %.3f seconds.\n";
		["dialog/search/msg_replace_result1"] = "Total %llu text(s) was replaced within %.3f seconds.\n";
		
		["dialog/progress/searching"] = "Searching...";
		["dialog/progress/replacing"] = "Replacing...";
		["dialog/progress/undo"] = "Undo...";
		["dialog/progress/redo"] = "Redo...";

		["dialog/project_wizard/title"] = "New Project";
		["dialog/project_wizard/name"] = "Name:";
		["dialog/project_wizard/path"] = "Path:";
		["dialog/project_wizard/create_git_repo"] = "Create GIT repoistory";
		["dialog/project_wizard/name_is_empty"] = "Name is required!";
		["dialog/project_wizard/path_is_empty"] = "Path is required!";
		["dialog/project_wizard/project_exists"] = "Project exists in the folder!";
		["dialog/project_wizard/can_not_create_project_folder"] = "Can NOT create project folder!";
		["dialog/project_wizard/can_not_create_project"] = "Can NOT create project!";
		["dialog/project_wizard/type/native"] = "Native";
		["dialog/project_wizard/type/cmake"] = "CMake";
		["dialog/project_wizard/type/xmake"] = "XMake";
		["dialog/project_wizard/type/wsl"] = "WSL";
		["dialog/project_wizard/type/esp-idf"] = "ESP-IDF";
		["dialog/project_wizard/type/bouffalo_sdk"] = "Bouffalo SDK";
		["dialog/project_wizard/type/console"] = "Console";
		["dialog/project_wizard/type/win32"] = "Win32";
		["dialog/project_wizard/type/shared"] = "Shared library";
		["dialog/project_wizard/type/static"] = "Static library";
		
		["dialog/about"] = "About";
		["dialog/ok"] = "&OK";
		["dialog/yes"] = "&Yes";
		["dialog/no"] = "&No";
		["dialog/apply"] = "Apply";
		["dialog/continue"] = "Continue";
		["dialog/retry"] = "&Retry";
		["dialog/ignore"] = "&Ignore";
		["dialog/abort"] = "&Abort";
		["dialog/cancel"] = "&Cancel";
		["dialog/notice"] = "Notice";
		["dialog/error"] = "Error";
		["dialog/warning"] = "Warning";

		["dialog/delete_file"] = "Confirm deleting";
		["dialog/delete_file/delete_selected_files"] = "Deleting selected [%d] file(s)!";
		["dialog/delete_file/remove"] = "&Remove";
		["dialog/delete_file/delete"] = "&Delete";
		["dialog/delete_file/cancel"] = "&Cancel";

		["dialog/file_changes/reload_as_log_text"] = "View as &Log";
		["dialog/file_changes/reload_all"] = "Reload All";
		["dialog/file_changes/cancel"] = "&Cancel";
		["dialog/file_changes/reload"] = "&Reload";
		["dialog/file_changes/file_changed"] = "File has been modified!";
		["dialog/file_changes/files_changed"] = "%lld files has been modified!";
		["dialog/file_changes/file_change_notify"] = "File [%ls] has been modified!\nReload the file?";

		["dialog/notify/ok"] = "&OK";
		["dialog/notify/cancel"] = "&Cancel";
		["dialog/notify/update"] = "&Update";
		["dialog/file/all_file_types"] = "All File Types";

		["dialog/cvs/login/login"] = "Login";
		["dialog/cvs/login/name"] = "User:";
		["dialog/cvs/login/passwd"] = "Pass:";
		["dialog/cvs/login/pub_key"] = "PublicKey:";
		["dialog/cvs/login/pri_key"] = "PrivateKey:";
		["dialog/cvs/login/key_pass"] = "KeyPass:";
		["dialog/cvs/login/ok"] = "OK";
		["dialog/cvs/login/login_with_keys"] = "Login with keys";
		["dialog/cvs/login/empty_user_name"] = "User name is empty!";
		["dialog/cvs/committer"] = "Commiter";
		["dialog/cvs/commit_time"] = "Commit time";
		["dialog/cvs/author"] = "Author";
		["dialog/cvs/email"] = "E-Mail";
		["dialog/cvs/modify_time"] = "Modify time";
		["dialog/cvs/commit_message"] = "Message";

		["dialog/commit/title/do_commit"] = "Commit changes";
		["dialog/commit/title/commit_record"] = "Commit";
		["dialog/commit/amend"] = "Amend last commit";
		["dialog/commit/author"] = "Author";
		["dialog/commit/email"] = "E-Mail";
		["dialog/commit/modify_time"] = "Modify time";
		["dialog/commit/working_tree"] = "Working tree";
		["dialog/commit/commit_message"] = "Commit message";
		["dialog/commit/changed_files"] = "Changed files";
		["dialog/commit/unmanaged_files"] = "Unmanaged files";
		["dialog/commit/commit"] = "Commit";
		["dialog/commit/commit_message_required"] = "Commit message is empty!";
		["dialog/commit/confilct_found"] = "Found confict(s)!";
		["dialog/commit/no_item_selected"] = "Please select file(s) to commit!";
		["dialog/commit/can_not_amend_last_change"] = "Can NOT amend last changes!";
		["dialog/commit/canot_create_commit"] = "Can NOT create a commit!";
		["dialog/commit/no_default_signature"] = "No default signature!";

		["dialog/diff/title"] = "Difference";
		["dialog/diff/ignore_white_space"] = "Ignore White Space";

		["dialog/config/title"] = "Configuration";
		["dialog/config/edit"] = "Edit";
		["dialog/config/toolchain"] = "Toolchain";
		["dialog/config/toolchain/new"] = "New toolchain";
		["dialog/config/toolchain/remove"] = "Remove toolchain";
		["dialog/config/toolchain/download"] = "Download headers(for LSP service)";
		["dialog/config/toolchain/refresh"] = "Refresh toolchain";
		["dialog/config/toolchain/check"] = "Test toolchain";
		["dialog/config/toolchain/new/local"] = "New local toolchain";
		["dialog/config/toolchain/new/ssh"] = "New remote toolchain over SSH";
		["dialog/config/toolchain/context/copy"] = "Copy";
		["dialog/config/toolchain/context/delete"] = "Delete";
		["dialog/config/toolchain/info/no_local_toolset"] = "Can NOT find toolchain in the following directory:";
		["dialog/config/toolchain/info/local_toolset_exists"] = "Toolchain already exists!";
		["dialog/config/toolchain/info/auto_items_can_not_remove"] = "Can NOT remove the toolchain which was automatically detected!";
		["dialog/config/toolchain/info/confirm_to_remove_toolsets"] = "Confirm to remove following toolchain(s)?";
		["dialog/config/toolchain/info/input_ssh_server"] = "Input the SSH host address";
		["dialog/config/toolchain/info/invalid_ssh_host"] = "Invalid SSH host address!";
		["dialog/config/toolchain/info/detecting"] = "Detecting...";
		["dialog/config/toolchain/info/ssh_toolset_exists"] = "Toolchain already exists!";
		["dialog/config/toolchain/info/ssh_toolset_not_found"] = "Can NOT find supported toolchain(s)!";
		["dialog/config/toolchain/info/ssh_toolset_required"] = "Support SSH toolset only!";
		["dialog/config/cvs"] = "Version Control";
		["dialog/config/credentials"] = "Credentials";
		["dialog/config/cmake"] = "CMake";
		["dialog/config/cmake/targets"] = "Targets";
		["dialog/config/cmake/config"] = "Config";
		["dialog/config/cmake/toolset"] = "Toolset";
		["dialog/config/cmake/click_to_add_variable"] = "Click to add a new CMake variable";
		["dialog/config/cmake/var_name_is_empty"] = "Variable name is empty!";
		["dialog/config/cmake/var_name_exists"] = "Variable already exists!";
		["dialog/config/cmake/cached_var_requires_rebuild_cmake_cache"] = "Variable was cached! You should rebuild cmake cache.";
		["dialog/config/git"] = "GIT";
		["dialog/config/git/remote"] = "Remote";
		["dialog/config/git/remote/fetch"] = "Fetch";
		["dialog/config/git/remote/push"] = "Push";
		["dialog/config/git/remote/click_to_add_new_upstream"] = "click to add upstream";
		["dialog/config/git/remote/name_already_exists"] = "Name already exists";
		["dialog/config/git/remote/deleting_the_last_item"] = "Do you want to delete the last upstream?";
		["dialog/config/git/account"] = "Account";
		["dialog/config/git/username"] = "Username";
		["dialog/config/git/email"] = "E-Mail";
		["dialog/config/git/proxy"] = "Proxy";
		["dialog/config/git/proxy_http"] = "HTTP";
		["dialog/config/git/proxy_https"] = "HTTPS";
		["dialog/config/git/title"] = "GIT Configuration";
		["dialog/config/unsaved_notice"] = "Still have unsaved changes, save it now?";
		["dialog/config/debug_run"] = "Debug&Run";
		["dialog/config/debug_run/target"] = "Target";
		["dialog/config/debug_run/config"] = "Config";
		["dialog/config/debug_run/toolset"] = "Toolset";
		["dialog/config/debug_run/argument"] = "Arguments";
		["dialog/config/debug_run/cwd"] = "Working Path";
		["dialog/config/debug_run/environment"] = "Environments (<a href=\"help:debug_run_environment\">?</a>)";
		["dialog/config/debug_run/ssh_upload_filter"] = "SSH upload filter (<a href=\"help:ssh_upload_filter\">?</a>)";
		["dialog/config/clang_tidy"] = "Clang-Tidy";
		["dialog/config/msys2"] = "MSYS2";
		["dialog/config/msys2/enabled"] = "Enable MSYS2 in CMake Project";
		
		["pane/output/title"] = "Output";
		["pane/find_and_replace/title"] = "Find & Replace";
		["pane/find_and_replace/clear"] = "Clear";
		["pane/find_and_replace/autoclear"] = "Clear previous output automatically";
		["pane/build_results/title"] = "Build Results";
		["pane/build_results/all_errors"] = "All Error(s)";
		["pane/build_results/all_warnings"] = "All Warning(s)";

		["pane/lsp/title"] = "LSP";
		["pane/debugger/title"] = "Debugger";
		["pane/watches/title"] = "Watches";
		["pane/locals/title"] = "Locals";
		["pane/threads/title"] = "Threads";
		["pane/stackframe/title"] = "Stack Frames";
		["pane/modules/title"] = "Modules";
		["pane/solution/title"] = "Solution Explorer";
		["pane/solution/file_exists"] = "File exists!";
		["pane/solution/folder_exists"] = "Directory exists!";
		["pane/solution/create_file_failed"] = "Can not create file!";
		["pane/solution/create_folder_failed"] = "Can not create directory!";
		["pane/solution/build_targets"] = "[Build Targets]";
		["pane/solution/startup_target"] = "[Startup]";
		["pane/class/title"] = "Class";
		["pane/resource/title"] = "Resource";
		["pane/properties/title"] = "Properties";
		["pane/serial/title"] = "Serial Ports";
		["pane/serial/port"] = "Port:";
		["pane/serial/baudrate"] = "Baudrate:";
		["pane/serial/capture"] = "Start Capture";
		["pane/serial/capture_stop"] = "Stop Capture";
		["pane/serial/clear"] = "Clear";
		["pane/serial/send_newline"] = "Send '\\n'";
		["pane/serial/send_newline/tip"] = "Send '\\n' automatically(Ctrl + Enter)";
		["pane/serial/tty_mode"] = "TTY Mode";
		["pane/structure/title"] = "File Structure";
		["pane/structure/unsupported_doc_type"] = "Unsupported Document Type";
		
		["pane/revisions/title"] = "Revision History";
		["pane/revisions/time_sec"] = "%ds ago";
		["pane/revisions/time_min"] = "%dm ago";
		["pane/revisions/time_hour"] = "%dh ago";
		["pane/revisions/time_day"] = "%dd ago";
		["pane/revisions/working_tree"] = "Working tree";
		["pane/revisions/no_version_control"] = "No Version Control";
		["pane/revisions/no_changes"] = "no changes";
		["pane/revisions/changes"] = "changes";
		["pane/revisions/conflicts"] = "conflicts";

		["pane/registers/title"] = "Regisgers";

		["pane/memory/title"] = "Memory";
		["pane/memory/address"] = "Address:";
		["pane/memory/update"] = "Update";
		["pane/memory/input_hint"] = "Enter the Symbol or Address";
		["pane/memory/not_debugging"] = "The memory view is only valid during debugging!";
		["pane/memory/can_not_read_memory"] = "Can NOT read the memory region!";

		["pane/peripherals/title"] = "Peripherals";

		["status/idle"] = "Idle";
		["status/selection_size"] = "Selection Size";
		["status/selection_bytes"] = "Selection Bytes";
		["status/incremental_search"] = "Incremental Search:";
		["status/incremental_search_failed"] = "Incremental Search failed:";
		["status/goto_line"] = "Goto Line:";
		["status/goto_offset"] = "Goto Offset:";
		["status/download_update"] = "Updating...";
		["status/duration_info"] = "Duration: %s";
		
		
		["shell/open_with_edx"] = "Open with &EDX";

		["git/popup/init"] = "Init Repository";
		["git/popup/pull"] = "Pull";
		["git/popup/fetch"] = "Fetch";
		["git/popup/push"] = "Push";
		["git/popup/diff"] = "Diff";
		["git/popup/commit"] = "Commit";
		["git/popup/property"] = "Property";
		["git/popup/checkout"] = "Checkout";
		["git/popup/gui"] = "git GUI";
		["git/popup/history"] = "gitk";
		["git/popup/configuration"] = "Configuration";
		["git/popup/merge"] = "Merge";
		["git/popup/branches"] = "Branch(es)";
		["git/popup/tags"] = "Tag(s)";
		["git/popup/conflicts"] = "Conflict(s)";

		["ssh/error/resolve_host_failed"] = "Can not resolve the SSH hostname!";
		["ssh/error/connect_failed"] = "Failed to connect SSH server!";
		["ssh/error/handshake_failed"] = "SSH server handshake failed: ";
		["ssh/error/login_failed"] = "SSH server login failed: ";

		["msg/clangd/compile_commands_json_not_found"] = "\x1b[33;41m[ClangD] Can't find \x1b[37m'compile_commands.json'\x1b[33m!\x1b[0m";
		["msg/clangd/install_query_driver"] = "Install clangd query driver...";
	};
};

LANGUAGE["default"] = LANGUAGE["en-us"];
